;===============================;
;Genesis Header			;
;===============================;
;This file contains the data	;
;that is required for every	;
;Genesis Header.		;
;===============================;
;Assembled with sekas v1.00	;
;===============================;

VectorTable:
	dd	$00ffffe0		;Reset: Initial Stack Pointer
	dd	EntryPoint		;Reset: Initial PC
	dd	interrupt		;Bus Error
	dd	interrupt		;Address Error
	dd	interrupt 		;Illegal Instruction
	dd	interrupt		;Zero Divide
	dd	interrupt		;CHK Instruction
	dd	interrupt		;TRAPV Instruction
	dd	interrupt		;Privilege Violation
	dd	$0000			;Trace
	dd	interrupt		;Line 1010 Emulator
	dd	interrupt		;Line 1111 Emulator
	dd	$0000			;Reserved
	dd	$0000			;Reserved
	dd	$0000			;Reserved
	dd	$0000			;Uninitialized Interrupt Vector
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Spurious Interrupt
	dd	interrupt		;IRQ Level 1
	dd	interrupt		;IRQ Level 2
	dd	interrupt		;IRQ Level 3
	dd	HBlank			;IRQ Level 4 (VDP Horizontal Interrupt)
	dd	interrupt		;IRQ Level 5
	dd	VBlank			;IRQ Level 6 (VDP Vertical Interrupt)
	dd	interrupt		;IRQ Level 7
	dd	interrupt		;TRAP #00 Exception
	dd	interrupt		;TRAP #01 Exception
	dd	interrupt		;TRAP #02 Exception
	dd	interrupt		;TRAP #03 Exception
	dd	interrupt		;TRAP #04 Exception
	dd	interrupt		;TRAP #05 Exception
	dd	interrupt		;TRAP #06 Exception
	dd	interrupt		;TRAP #07 Exception
	dd	interrupt		;TRAP #08 Exception
	dd	interrupt		;TRAP #09 Exception
	dd	interrupt		;TRAP #10 Exception
	dd	interrupt		;TRAP #11 Exception
	dd	interrupt		;TRAP #12 Exception
	dd	interrupt		;TRAP #13 Exception
	dd	interrupt		;TRAP #14 Exception
	dd	interrupt		;TRAP #15 Exception
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)
	dd	$0000			;Reserved (Unused)

ROM_Header:
	db	"SEGA MEGA DRIVE "	;System name
	db	"(C) DATE HERE   "	;Copyright and Year/Date of Release

	db	"DOMESTIC        "	;Domestic Game Name
	db	"GAME NAME       "
	db	"GOES HERE       "

	db	"OVERSEAS        "	;Overseas Game Name
	db	"GAME NAME       "
	db	"GOES HERE       "

	db	"GM XXXXXXXX-XX"	;Cart & product type, number, and version number
	dw	$FFFF			;Checksum
	db	"J               "	;Specifies peripherals used
	dd	$00000000		;Start address of ROM
	dd	$003FFFFF		;End address of ROM
	dd	$00FF0000		;Start address of RAM
	dd	$00FFFFFF		;End address of RAM
	db	"            "		;External RAM Data
	db	"            "		;Modem Data

	db	"                "	;Memo
	db	"                "
	db	"        "

	db	"U               "	;Country Code
